Skip to main content
`Ctrl`+`K`

# DMGetNullSpaceConstructor

Return the callback function which constructs the nullspace for a given field, defined with `DMAddField()`

## Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMGetNullSpaceConstructor(DM dm, PetscInt field, PetscErrorCode (**nullsp)(DM dm, PetscInt origField, PetscInt field, MatNullSpace *nullSpace))

Not Collective; No Fortran Support

## Input Parameters

- dm - The `DM`

- field - The field number for the nullspace

## Output Parameter

- nullsp - A callback to create the nullspace

## Calling sequence of `nullsp`

- dm - The present DM

- origField - The field number given above, in the original DM

- field - The field number in dm

- nullSpace - The nullspace for the given field

## See Also

DM Basics, `DM`, `DMAddField()`, `DMGetField()`, `DMSetNullSpaceConstructor()`, `DMSetNearNullSpaceConstructor()`, `DMGetNearNullSpaceConstructor()`, `DMCreateSubDM()`, `DMCreateSuperDM()`

## Level

intermediate

## Location

src/dm/interface/dm.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages